libzypp 17.37.10

zypp::media::TmpUnsetEnv Struct Reference

## Public Member Functions
| TmpUnsetEnv (const char *var_r)
| TmpUnsetEnv (const TmpUnsetEnv &)=delete
| TmpUnsetEnv (TmpUnsetEnv &&)=delete
TmpUnsetEnv & | operator= (const TmpUnsetEnv &)=delete
TmpUnsetEnv & | operator= (TmpUnsetEnv &&)=delete
| ~TmpUnsetEnv ()

## Public Attributes
bool | _set
std::string | _var
std::string | _val

## Detailed Description

Definition at line 114 of file proxyinfolibproxy.cc.

## Constructor & Destructor Documentation

## ◆ TmpUnsetEnv() [1/3]

zypp::media::TmpUnsetEnv::TmpUnsetEnv | ( | const char * | var_r | ) |
| inline

Definition at line 116 of file proxyinfolibproxy.cc.

## ◆ TmpUnsetEnv() [2/3]

zypp::media::TmpUnsetEnv::TmpUnsetEnv | ( | const TmpUnsetEnv & |  | ) |
| delete

## ◆ TmpUnsetEnv() [3/3]

zypp::media::TmpUnsetEnv::TmpUnsetEnv | ( | TmpUnsetEnv && |  | ) |
| delete

## ◆ ~TmpUnsetEnv()

zypp::media::TmpUnsetEnv::~TmpUnsetEnv | ( |  | ) |
| inline

Definition at line 131 of file proxyinfolibproxy.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

TmpUnsetEnv & zypp::media::TmpUnsetEnv::operator= | ( | const TmpUnsetEnv & |  | ) |
| delete

## ◆ operator=() [2/2]

TmpUnsetEnv & zypp::media::TmpUnsetEnv::operator= | ( | TmpUnsetEnv && |  | ) |
| delete

## Member Data Documentation

## ◆ _set

bool zypp::media::TmpUnsetEnv::_set

Definition at line 139 of file proxyinfolibproxy.cc.

## ◆ _var

std::string zypp::media::TmpUnsetEnv::_var

Definition at line 140 of file proxyinfolibproxy.cc.

## ◆ _val

std::string zypp::media::TmpUnsetEnv::_val

Definition at line 141 of file proxyinfolibproxy.cc.

The documentation for this struct was generated from the following file:

- zypp-curl/proxyinfo/proxyinfolibproxy.cc